Summary:	libgeda is the Library that is used by several gEDA programs
Name:		libgeda
Version: 	1.4.0
Release: 	2.1
License: 	GPL
Group: 		Productivity/Scientific/Electronics
Packager:	Werner Hoch <werner.ho@gmx.de>

URL: 		http://geda.seul.org
Source0: 	http://geda.seul.org/release/v1.4/1.4.0/libgeda-%{version}.tar.gz

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

Autoreqprov:    On
BuildRequires: 	gcc-c++ gcc-fortran binutils guile gtk2-devel indent pkgconfig
BuildRequires:	libpng-devel libjpeg-devel freetype2-devel, 
BuildRequires:	intltool, perl-XML-Parser
%if %suse_version > 1010
BuildRequires:  guile-devel
%endif


%description 
This package provides the basic library for several gEDA programs.
The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for
electrical circuit design, schematic capture, simulation, prototyping,
and production. 


%package devel
Requires:     libgeda = %{version}, libpng-devel
Requires:     libjpeg-devel freetype2-devel libpng-devel
%if %suse_version > 1010
Requires:     guile-devel
%endif
License:      GPL
Summary:      libgeda is the Library that is used by several gEDA programs
Group:        Development/Libraries/C and C++
Autoreqprov:  on

%description devel
This package provides the basic library for several gEDA programs.
The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for
electrical circuit design, schematic capture, simulation, prototyping,
and production. 

%prep 
%setup -q

%build
%configure --disable-update-mime-database
%{__make}

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
/usr/bin/update-mime-database /usr/share/mime
/opt/gnome/bin/gtk-update-icon-cache /usr/share/icons/hicolor/ --ignore-theme-index

%postun
%run_ldconfig
/usr/bin/update-mime-database /usr/share/mime
/opt/gnome/bin/gtk-update-icon-cache /usr/share/icons/hicolor/ --ignore-theme-index

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_datadir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*

%changelog
* Thu Jan 31 2008 Peter Clifton <pcjc2@cam.ac.uk>
- Added update-mime-database and gtk-update-icon-cache 
  commands for desktop integration
* Sun Jan 27 2008 Werner Hoch <werner.ho@gmx.de>
- new version 1.4.0
- added intltool requirement
* Tue Jan 01 2008 Werner Hoch <werner.ho@gmx.de>
- new version 1.2.1
* Fri Sep 07 2007 Werner Hoch <werner.ho@gmx.de>
- new version 1.2.0
* Sat Jul 07 2007 Werner Hoch <werner.ho@gmx.de>
- new version 1.0.1
- removed libgd as it's no longer required
* Sat May 26 2007 Werner Hoch <werner.ho@gmx.de>
- new version 20070526
* Thu Feb 20 2007 Werner Hoch <werner.ho@gmx.de>
- new version 20070216
* Sat Nov 04 2006 Werner Hoch <werner.ho@gmx.de>
- added guile-devel for SuSE Factory
* Sat Oct 21 2006 Werner Hoch <werner.ho@gmx.de>
- new version 20061020
- added libjpeg-devel freetype2-devel
- changed libgdgeda to gd
* Sat Sep 09 2006 Werner Hoch <werner.ho@gmx.de>
- new version 20060906
- added libpng-devel to the libgeda-devel requirements
* Wed Aug 30 2006 Werner Hoch <werner.ho@gmx.de>
- added %{FORTRAN_GCC} decision
* Mon Aug 28 2006 Werner Hoch <werner.ho@gmx.de>
- added missing libgdgeda-devel to BuildRequires
- splited package into devel and library part
* Sun Aug 27 2006 Werner Hoch <werner.ho@gmx.de>
- first spec file
